StableOps
API 参考

更新收款地址

更新 StableOps 收款地址的标签、分配模式或状态,注意已分配给未完成订单的地址不能随意手动修改使用状态。地址池按组织与环境隔离,沙盒使用测试网、生产使用主网,资金仍由商户钱包控制。维护前核对分配状态与现有订单,避免影响正在等待付款的收款流程。

PATCH/v1/addresses/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

id*unknown

Merchant address id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/addresses/{id}" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "chain": "ethereum",
  "address": "string",
  "label": "string",
  "mode": "single",
  "status": "available",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

这篇文档怎么样?

最后更新